#include <Servo.h>
#include <EEPROM.h>
Servo myservo;
int topeizquierda, topederecha;
int posicion = 90;




void setup() {
  Serial.begin(9600);
  Serial.println("Saludos");
  Serial.println();
  Serial.println("INICIANDO CALIBRACION");
  Serial.println();
  Serial.println("Posición central sin calibrar (90)");
  myservo.attach(9);
  myservo.write(posicion);
  delay(100);
  Serial.println();
  Serial.println("Buscamos la posición máxima hacia la izquierda");
  Serial.println("Escribe Z o X para mover");
  Serial.println("Una vez encontrado el límite, pulsa G para guardarlo");
  while (topeizquierda == 0)
    if (Serial.available()) {
      char data = Serial.read();
      if (data == 'x') {
        posicion++;
        myservo.write(posicion);
        Serial.println(posicion);
        delay(25);
      }
      if (data == 'z') {
        posicion--;
        myservo.write(posicion);
        Serial.println(posicion);
        delay(25);
      }
      if (data == 'g') {
        EEPROM.write(1, posicion);
        topeizquierda = posicion;
        Serial.println("Guardo posición izquierda");
        Serial.println(posicion);
        posicion = 90;
        myservo.write(posicion);
        delay(150);
      }
    }
  Serial.println("Posición central (90)");
  Serial.println();
  Serial.println("Buscamos la posición máxima hacia la derecha");
  Serial.println("Escribe Z o X para mover");
  Serial.println("Una vez encontrado el límite, pulsa G para guardarlo");
  while (topederecha == 0)
    if (Serial.available()) {
      char data = Serial.read();
      if (data == 'x') {
        posicion++;
        myservo.write(posicion);
        Serial.println(posicion);
        delay(25);
      }
      if (data == 'z') {
        posicion--;
        myservo.write(posicion);
        Serial.println(posicion);
        delay(25);
      }
      if (data == 'g') {
        EEPROM.write(2, posicion);
        topederecha = posicion;
        Serial.println("Guardo posición derecha");
        Serial.println(posicion);
        posicion = topederecha - ((topederecha - topeizquierda) / 2);
        myservo.write(posicion);
        delay(150);
        Serial.println("Centrando a:");
        Serial.println(posicion);
      }
    }
}

void loop() {
}
